"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.prepare = void 0;
const path = __importStar(require("path"));
const fs_1 = require("fs");
const process_1 = require("process");
async function prepare(pluginConfig, context) {
    var _a, _b, _c;
    const workingDir = (_a = pluginConfig.cwd) !== null && _a !== void 0 ? _a : process_1.cwd();
    const pubSpecPath = path.resolve(workingDir, 'pubspec.yaml');
    if (!fs_1.existsSync(pubSpecPath)) {
        throw Error(`pubspec.yaml not found in ${workingDir}`);
    }
    const pubSpec = fs_1.readFileSync(pubSpecPath).toString();
    context.logger.log('Write version %s to pubspec.yaml in %s', (_b = context.nextRelease) === null || _b === void 0 ? void 0 : _b.version, workingDir);
    const regex = /^version: [0-9.+-]+(.*)/m;
    const updatedPubSpec = pubSpec.replace(regex, `version: ${(_c = context.nextRelease) === null || _c === void 0 ? void 0 : _c.version}$1`);
    fs_1.writeFileSync(pubSpecPath, updatedPubSpec);
}
exports.prepare = prepare;
//# sourceMappingURL=index.js.map