"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// eslint-disable-next-line node/no-unpublished-import
const tempy_1 = __importDefault(require("tempy"));
const path_1 = require("path");
// eslint-disable-next-line node/no-unpublished-import
const yaml_1 = __importDefault(require("yaml"));
const src_1 = require("../src");
const fs_1 = require("fs");
describe('prepare', () => {
    it('updates pubspec.yaml', async () => {
        expect.hasAssertions();
        const cwd = tempy_1.default.directory();
        const pubspecPath = path_1.join(cwd, 'pubspec.yaml');
        const pubspec = yaml_1.default.stringify({ version: '1.0.0' });
        fs_1.writeFileSync(pubspecPath, pubspec);
        const updatedVersion = '1.0.1';
        await src_1.prepare({
            cwd,
        }, {
            nextRelease: {
                version: updatedVersion,
                type: 'patch',
                notes: '',
                gitTag: '',
                gitHead: '',
            },
            logger: {
                // eslint-disable-next-line @typescript-eslint/no-unused-vars
                log: (message, ...vars) => { },
                // eslint-disable-next-line @typescript-eslint/no-unused-vars
                error: (_message, ..._vars) => { },
            },
            env: {},
        });
        expect(yaml_1.default.parse(fs_1.readFileSync(pubspecPath).toString())['version']).toBe(updatedVersion);
    });
});
//# sourceMappingURL=index.test.js.map